Package org.jCharts.test

# Class LineTestDriver

java.lang.Object
org.jCharts.test.AxisChartTestBase
org.jCharts.test.LineTestDriver

class LineTestDriver extends AxisChartTestBase
This file provides examples of how to create all the different chart types provided by this package.

## Constructor Summary

Constructors
Constructor
Description
`LineTestDriver()`

## Method Summary

Modifier and Type
Method
Description
`(package private) static ChartTypeProperties`
`getChartTypeProperties(int numberOfDataSets)`
Separate this so can use for combo chart test
`(package private) DataSeries`
`getDataSeries()`
`static void`
`main(String[] args)`
DataSeries getDataSeries() throws ChartDataException { String[] xAxisLabels={"1", "2", "3", "4", "5"}; DataSeries dataSeries=new DataSeries( xAxisLabels, "numbers", "numbers", "Bug #559177" ); AxisChartDataSet axisChartDataSet; double[][] data={{1, 2, 3, 4, 5}, {7, 8, Double.NaN, Double.NaN, Double.NaN}, {Double.NaN, Double.NaN, Double.NaN, Double.NaN, 2}}; String[] legendLabels={"set 1", "set 2", "set 3"}; Paint[] paints={Color.blue, Color.red, Color.green}; axisChartDataSet=new AxisChartDataSet( data, legendLabels, paints, ChartType.LINE, this.getChartTypeProperties( 3 ) ); dataSeries.addIAxisPlotDataSet( axisChartDataSet ); return dataSeries; }
`(package private) boolean`
`supportsImageMap()`

### Methods inherited from class org.jCharts.test.AxisChartTestBase

`axisChartTest, createAxisChartDataSet, createDataSeries`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineTestDriver

LineTestDriver()

## Method Details

### supportsImageMap

boolean supportsImageMap()

Specified by:
  `supportsImageMap` in class `AxisChartTestBase`

### getChartTypeProperties

static ChartTypeProperties getChartTypeProperties(int numberOfDataSets)
Separate this so can use for combo chart test

Parameters:
  `numberOfDataSets` -

### getDataSeries

DataSeries getDataSeries() throws ChartDataException

Specified by:
  `getDataSeries` in class `AxisChartTestBase`
Throws:
  `ChartDataException`

### main

public static void main(String[] args) throws ChartDataException, PropertyException
DataSeries getDataSeries() throws ChartDataException { String[] xAxisLabels={"1", "2", "3", "4", "5"}; DataSeries dataSeries=new DataSeries( xAxisLabels, "numbers", "numbers", "Bug #559177" ); AxisChartDataSet axisChartDataSet; double[][] data={{1, 2, 3, 4, 5}, {7, 8, Double.NaN, Double.NaN, Double.NaN}, {Double.NaN, Double.NaN, Double.NaN, Double.NaN, 2}}; String[] legendLabels={"set 1", "set 2", "set 3"}; Paint[] paints={Color.blue, Color.red, Color.green}; axisChartDataSet=new AxisChartDataSet( data, legendLabels, paints, ChartType.LINE, this.getChartTypeProperties( 3 ) ); dataSeries.addIAxisPlotDataSet( axisChartDataSet ); return dataSeries; }

Throws:
  `ChartDataException`
  `PropertyException`